SeaMonkey 2.57 for MacOS

Hi,

I am wondering if the SeaMonkey 2.57 (found here 
https://www.wg9s.com/comm-257/ ) is only good enough for testing, or if 
it is bug free enough to be used daily as a replacement for SeaMonkey 
2.49.4?

Can someone who has used 2.57 On MacOS X tell me some of their 
experience and if they think WG9s SeaMonkey 2.57 for MacOS X is good 
enough (i.e. bug free) to replace Seamonkey 2.49.4 on a daily basis?

Thanks.
0
Paul
8/9/2019 1:05:06 AM
mozilla.support.seamonkey 13291 articles. 0 followers. Post Follow

6 Replies
61 Views

Similar Articles

[PageSpeed] 56

It is only good for testing. Mail and news plus a few other things broken. 
2.53 should be fully functional but it gets limited testing. Mostly from me I 
think when I did some bigger backports.

Paul Bergsagel wrote:
> Hi,
> 
> I am wondering if the SeaMonkey 2.57 (found here 
> https://www.wg9s.com/comm-257/ ) is only good enough for testing, or if it is 
> bug free enough to be used daily as a replacement for SeaMonkey 2.49.4?
> 
> Can someone who has used 2.57 On MacOS X tell me some of their experience and 
> if they think WG9s SeaMonkey 2.57 for MacOS X is good enough (i.e. bug free) 
> to replace Seamonkey 2.49.4 on a daily basis?
> 
> Thanks.
0
Frank
8/9/2019 12:52:16 PM
Frank-Rainer Grahl:

>It is only good for testing. Mail and news plus a few other things broken. 
>2.53 should be fully functional but it gets limited testing. Mostly from me I 
>think when I did some bigger backports.

On Linux I'm getting this when trying 'Play' for 'Custom sound file' in
Preferences->Mail & Newsgroups->Notifications' using SM 2.53:

JavaScript error: chrome://communicator/content/pref/preferences.js,
line 94: NS_ERROR_NOT_AVAILABLE: Component returned failure code:
0x80040111 (NS_ERROR_NOT_AVAILABLE) [nsISound.play]

I know I should have investigated this further. Related to Alsa vs.
Pulseaudio perhaps? Maybe others on Linux can contribute if there is a
general Linux problem.

Hartmut
0
Hartmut
8/9/2019 2:10:37 PM

Hartmut Figge wrote:
> Frank-Rainer Grahl:
> 
>> It is only good for testing. Mail and news plus a few other things broken.
>> 2.53 should be fully functional but it gets limited testing. Mostly from me I
>> think when I did some bigger backports.
> 
> On Linux I'm getting this when trying 'Play' for 'Custom sound file' in
> Preferences->Mail & Newsgroups->Notifications' using SM 2.53:
> 
> JavaScript error: chrome://communicator/content/pref/preferences.js,
> line 94: NS_ERROR_NOT_AVAILABLE: Component returned failure code:
> 0x80040111 (NS_ERROR_NOT_AVAILABLE) [nsISound.play]
> 
> I know I should have investigated this further. Related to Alsa vs.
> Pulseaudio perhaps? Maybe others on Linux can contribute if there is a
> general Linux problem.
> 
> Hartmut
> 
No sound in CentOS with a Windows wav but no failure either.

Works in Ubuntu 18.04 using this one as a sample.
https://file-examples.com/wp-content/uploads/2017/11/file_example_WAV_1MG.wav

Seems not to come to an end :)

ALSA is just unsupported in 2.53.

FRG
0
Frank
8/9/2019 2:36:16 PM
Frank-Rainer Grahl:

>Works in Ubuntu 18.04 using this one as a sample.
>https://file-examples.com/wp-content/uploads/2017/11/file_example_WAV_1MG.wav

Interesting. Nice music, but sadly same error here.

>ALSA is just unsupported in 2.53.

apulse in Gentoo, version 0.1.12-r4, is now able to satisfy the
compiling of 2.53 and 2.57. Therefore my mozconfig is now

---------------
hafi@i5-64 ~ $ cat .mozconf-253
export CC=clang
export CXX=clang++

ac_add_options --enable-application=suite

ac_add_options --disable-tests

# ac_add_options --enable-calendar

# ac_add_options --disable-pulseaudio
# ac_add_options --enable-alsa

# ac_add_options --disable-crashreporter
---------------

apulse works for sound in the browser. Not in notifications. Perhaps it
will in a newer version of apulse.

Hartmut
0
Hartmut
8/9/2019 3:18:48 PM
Paul Bergsagel wrote on 09/08/2019 03:05:
> Hi,
> 
> I am wondering if the SeaMonkey 2.57 (found here https://www.wg9s.com/comm-257/ 
> ) is only good enough for testing, or if it is bug free enough to be used daily 
> as a replacement for SeaMonkey 2.49.4?
> 
> Can someone who has used 2.57 On MacOS X tell me some of their experience and if 
> they think WG9s SeaMonkey 2.57 for MacOS X is good enough (i.e. bug free) to 
> replace Seamonkey 2.49.4 on a daily basis?

Use the 2.53 version.
0
Gabriel
8/11/2019 4:02:11 PM
Hartmut Figge:

>apulse works for sound in the browser. Not in notifications. Perhaps it
>will in a newer version of apulse.

https://bugs.gentoo.org/691982

Let's wait and see.

Hartmut
0
Hartmut
8/13/2019 7:22:02 AM
Reply: